import request from '@/utils/request'

// 查询驱虫列表
export function listDeworm(query) {
  return request({
    url: '/biosafety/deworm/list',
    method: 'get',
    params: query
  })
}

// 查询驱虫详细
export function getDeworm(id) {
  return request({
    url: '/biosafety/deworm/' + id,
    method: 'get'
  })
}

// 新增驱虫
export function addDeworm(data) {
  return request({
    url: '/biosafety/deworm',
    method: 'post',
    data: data
  })
}

// 修改驱虫
export function updateDeworm(data) {
  return request({
    url: '/biosafety/deworm',
    method: 'put',
    data: data
  })
}

// 删除驱虫
export function delDeworm(id) {
  return request({
    url: '/biosafety/deworm/' + id,
    method: 'delete'
  })
}
